Subject: bug#35690: Installer error: Unable to locate keymap update file

From: Lorem Ipsum <[email-masked]>
Date: Mon, 13 May 2019 13:56:58 -0400

Hi,

If I read the gpg output correctly, then it downloaded okay.  My experience
with gpg is limited, so here is the exact output of --verify:

mintty screen dump

$ gpg --verify guix-system-install-1.0.0.x86_64-linux.iso.xz.sig
         gpg: assuming signed data in
'guix-system-install-1.0.0.x86_64-linux.iso.xz'    gpg: Signature made
Wed, May  1, 2019  4:12:23 PM EDT                           gpg:
         using RSA key 3CE464558A84FDC69DB40CFB090B11993D9AEBB5
gpg: Good signature from "Ludovic Courtès " [unknown]             gpg:
                aka "Ludovic Courtès " [unknown]         gpg:
       aka "Ludovic Courtès (Inria) " [unknown]
                                                 gpg: WARNING: This
key is not certified with a trusted signature!               gpg:
    There is no indication that the signature belongs to the owner.
Primary key fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A
EBB5

The SHA512 I generated was:

mintty screen dump

$ sha512sum guix-system-install-1.0.0.x86_64-linux.iso
         5b295c0db41c8ea896fc7eb693d25c311d473cbcc0ee95b959b2b63a8026a604f19d2f3299b1dc1451fc99459639a2f8d340204a5946bc5f921a402bf11bb8e3
*guix-system-install-1.0.0.x86_64-linux.iso

Regarding the "retry" option in the installer, I can't say whether or not I
used it.  I attempted several times with various configurations and don't
recall the specific one which produced the output I gave you.

Anecdotally, I can say that "Unable to locate keymap" error occurred
whenever MATE was selected for my DE.  I was able to complete the install
without a problem for GNOME, Enlightenment, and OpenBox.

Thank you for assisting me,
Matt

On Sun, May 12, 2019 at 7:17 AM Giovanni Biscuolo <[email-masked]> wrote:

> Ave Lorem Ipsum,
>
> "pelzflorian (Florian Pelz)" <[email-masked]> writes:
>
> > On Sat, May 11, 2019 at 06:21:37PM -0400, Lorem Ipsum wrote:
> >> Hi,
> >>
> >> Installation failed when i tried installing
> >> guix-system-install-1.0.0.x86_64-linux.iso in Virtual Box 6.0.2 r128162
> on
> >> Windows 10.
> >>
> >
> > Could it be that at first, the install failed (e.g. because of a
> > network error that sometimes happened before it was fixed in current
> > unreleased Guix) and then you chose to retry the installer?
>
> please also confirm you have verified the authenticity of the image as
> shown in
>
> https://www.gnu.org/software/guix/manual/en/html_node/USB-Stick-and-DVD-Installation.html
>
> also please show the sha512 checksum of the uncompressed iso image, if
> you can
>
> it (rarely) happens that the downloaded image gets corrupted somewhere
> in the process
>
> [...]
>
> Gratias tibi ago! Gio'
>
> --
> Giovanni Biscuolo
>
> Xelera IT Infrastructures
>